
Java Client - Story #1551

Refactor d1_common_java tests for MultipartRequestHandler

2011-05-11 20:08 - Robert Waltz

Status: Closed Start date: 2011-05-11

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

I think the d1_common_java tests for MultipartRequestHandler  can be replaced.  We would need to add new tests along with some

modification to the MultipartRequestHandler (the class being tested) so that we can inject a HttpClient interface mock implementation

that mimics the echo service on dev-testing rather than, as we are currently doing, testing the apache default HttpClient

implementation that is a dependency of the class.  

Essentially, we should have a dependency on the interface,HttpClient, rather than on the implementation (DefaultHttpClient) in the

MultipartRequestHandler, and we need getter/setter methods for that interface dependency so as to replace it for unit testing.

We should also move the current tests into integration testing.

Subtasks:

Task # 1552: Copy TestSimpleMultipartEntity from d1_common_java to d1_integration New

Task # 1553: Modify MultipartRequestHandler to include HttpClient interface Closed

Task # 1554: Create MockHttpClient for testing in d1_common_java New

Task # 1555: Modify TestSimpleMultipartEntity for use with MockHttpClient New

Task # 1559: Refactor d1_libclient_java echo tests New

Related issues:

Related to Java Client - Story #2253: refactor libclient_java communication t... Rejected 2012-01-23 2015-01-06

History

#1 - 2011-05-25 15:45 - Dave Vieglais

- Position set to 11

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#2 - 2011-05-27 19:37 - Rob Nahf

just saw this one...  need to get priority

#3 - 2011-05-31 15:21 - Dave Vieglais

- Position deleted (16)

- Position set to 4

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3

#4 - 2011-05-31 16:57 - Dave Vieglais

- Position set to 17

- Position deleted (5)

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

#5 - 2011-06-06 17:07 - Rob Nahf

- Target version deleted (Sprint-2011.23-Block.3)

- Position set to 172

- Position deleted (20)
#6 - 2011-08-30 01:59 - Dave Vieglais

- Position set to 36

- Position deleted (198)

#7 - 2011-08-30 02:42 - Dave Vieglais

- Position deleted (48)

- Position set to 36

#8 - 2012-05-17 19:10 - Rob Nahf

- Milestone changed from 2011-Block-3 to CCI-1.1

#9 - 2012-10-08 17:18 - Rob Nahf

- Target version set to Sprint-2012.41-Block.6.1

- Due date set to 2012-10-27

- Start date set to 2012-10-07

- Milestone changed from CCI-1.1 to None

#10 - 2012-10-24 18:08 - Rob Nahf

- Status changed from New to In Progress

#11 - 2012-10-24 18:12 - Rob Nahf

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#12 - 2012-12-12 19:01 - Rob Nahf

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.4-Block.1.2

- Due date changed from 2012-11-10 to 2013-02-02

#13 - 2013-03-01 19:21 - Rob Nahf

- Target version changed from 2013.4-Block.1.2 to 2013.14-Block.2.3

- Due date changed from 2013-02-02 to 2013-04-13

#14 - 2013-05-23 18:03 - Rob Nahf

- Target version changed from 2013.14-Block.2.3 to 2013.20-Block.3.2

- Due date changed from 2013-04-13 to 2013-05-25

#15 - 2013-05-31 16:25 - Rob Nahf

- Due date changed from 2013-05-25 to 2013-06-08

- Target version changed from 2013.20-Block.3.2 to 2013.22-Block.3.3

#16 - 2013-08-07 19:26 - Rob Nahf

- Target version changed from 2013.22-Block.3.3 to 2013.30-Block.4.3

- Due date changed from 2013-06-08 to 2013-08-10

#17 - 2013-08-14 18:25 - Dave Vieglais

- Due date deleted (2013-08-10)

- Start date deleted (2011-05-11)

- Target version deleted (2013.30-Block.4.3)
#18 - 2013-08-14 18:27 - Robert Waltz

- Parent task set to #3750

#19 - 2014-10-01 16:50 - Robert Waltz

- Parent task deleted (#3750)

#20 - 2014-10-01 16:52 - Robert Waltz

- Start date deleted (2011-05-11)

- Tracker changed from Task to Story

#21 - 2014-10-01 19:41 - Robert Waltz

- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

- Due date set to 2014-12-01

#22 - 2015-01-06 19:35 - Dave Vieglais

- Due date changed from 2014-12-01 to 2015-01-06

#23 - 2015-02-11 19:49 - Rob Nahf

- Category changed from d1_common_java to d1_common_java

- Target version changed from CCI-2.0.0 to CLJ-2.0.0

- % Done changed from 20 to 30

- Project changed from Infrastructure to Java Client

#24 - 2015-02-11 19:58 - Matthew Jones

This would be a great change to allow unit tests via the Mock interface, so I support it. However, we also need to be sure to test the actual

connections as implemented in the apache default HttpClient implementation in an integration test.  I think we should not assume that just because a

Mock test passes, a real network test will also pass.  Let's keep the integration tests.

#25 - 2015-08-04 18:23 - Rob Nahf

delete this deprecated class and close this ticket.

#26 - 2018-01-17 20:39 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
